Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop
Interface IntroductionAwareMethodMatcher

All Superinterfaces:
  MethodMatcher

All Known Implementing Classes:
  AspectJExpressionPointcut

    public interface IntroductionAwareMethodMatcher

extends MethodMatcher

A specialized type of MethodMatcher that takes into account introductions when matching methods. If there are no introductions on the target class, a method matcher may be able to optimize matching more effectively for example.

Since:
  2.0
Author:
  Adrian Colyer

Field Summary

Fields inherited from interface org.springframework.aop.MethodMatcher
`TRUE`

Method Summary
`boolean` | `matches(java.lang.reflect.Method method, java.lang.Class targetClass, boolean hasIntroductions)` Perform static checking whether the given method matches.

Methods inherited from interface org.springframework.aop.MethodMatcher
`isRuntime, matches, matches`

Method Detail

### matches

    boolean matches(java.lang.reflect.Method method,
                    java.lang.Class targetClass,
                    boolean hasIntroductions)

  Perform static checking whether the given method matches. This may be invoked instead of the 2-arg `MethodMatcher.matches(java.lang.reflect.Method, Class)` method if the caller supports the extended IntroductionAwareMethodMatcher interface.

  Parameters:
    `method` - the candidate method
    `targetClass` - the target class (may be `null`, in which case the candidate class must be taken to be the method's declaring class)
    `hasIntroductions` - `true` if the object on whose behalf we are asking is the subject on one or more introductions; `false` otherwise
  Returns:
    whether or not this method matches statically

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD